# Database administrative login by Unix domain socket

# TYPE  DATABASE        USER            ADDRESS                 METHOD

# "local" is for Unix domain socket connections only
local   all             all                                     trust 
# IPv4 local connections:
host    all             all             127.0.0.1/32            trust
# IPv6 local connections:
host    all             all             ::1/128                 trust

{% for item in postgresql_dbs %}
host  {{ item.db }}  {{ item.user | default(postgresql_users.0.name) }}  {{ ansible_default_ipv4.address }}/{{ ansible_default_ipv4.prefix }}  md5
{% endfor %}
